analyze -library WORK -format vhdl {../router/fifo.vhdl}
analyze -library WORK -format vhdl {../router/router_types.vhdl}
analyze -library WORK -format vhdl {../arbiter/arbiter_functions.vhdl}
analyze -library WORK -format vhdl {../arbiter/NthLsbDetector.vhdl}
analyze -library WORK -format vhdl {../encoders/encoder_components.vhdl}
analyze -library WORK -format vhdl {../encoders/encoder_generic.vhdl}
analyze -library WORK -format vhdl {../encoders/encoder8to3.vhdl}
analyze -library WORK -format vhdl {../encoders/encoder16to4.vhdl}
analyze -library WORK -format vhdl {../encoders/encoder32to5.vhdl}
analyze -library WORK -format vhdl {../arbiter/arbiter_unit.vhdl}
analyze -library WORK -format vhdl {../router/receiver.vhdl}
analyze -library WORK -format vhdl {../router/sender.vhdl}
analyze -library WORK -format vhdl {../arbiter/arbiter.vhdl}
read_ddc ./results/arbiter-1-2-1.ddc
read_ddc ./results/arbiter-2-4-2.ddc
read_ddc ./results/arbiter-3-8-4.ddc
read_ddc ./results/arbiter-4-16-8.ddc
analyze -library WORK -format vhdl {../arbiter/parent_arbiter.vhdl}
read_ddc ./results/parent-arbiter-5-32-16.ddc
analyze -library WORK -format vhdl {../router/router_components.vhdl}
analyze -library WORK -format vhdl {../router/router.vhdl}
analyze -library WORK -format vhdl {../router/parent_router.vhdl}
analyze -library WORK -format vhdl {../noc/quadtree_components.vhdl}
analyze -library WORK -format vhdl {../noc/quadtree.vhdl}
analyze -library WORK -format vhdl {../noc/noc_conf.vhdl}
read_file -format vhdl {../noc/noc.vhdl}

for {set i 0} {$i < 341} {incr i} {
    create_clock -name clk$i -period 8.0 -waveform {0 4} [get_ports clks[$i]]
    #create_clock [get_ports clk]  -period 8.0  -waveform {0 4} -name clk
}

set_clock_uncertainty 0.025 -setup [get_clocks clk*]
set_clock_uncertainty 0.025 -hold [get_clocks clk*]
set_clock_transition -fall 0.04 [get_clocks clk*]
set_clock_transition -rise 0.04 [get_clocks clk*]
set_dont_touch clks
set_dont_touch arstN

set_clock_latency -max -source 0.1 [get_clocks clk*] 

set_input_delay -max -clock clk0  0.05 [get_ports {data_chip_in c_rcv_reqs c_send_ack pe_data_in pe_rcv_reqs pe_send_ack}]
set_output_delay -max -clock clk0  0.05 [all_outputs]

set_false_path -from [get_ports arstN]

check_design
check_timing
compile
report_area > reports/paicore_noc-spl_synth.area
report_power > reports/paicore_noc-spl_synth.power
change_names -hier -rules vhdl 
change_names -hier -rules verilog
write_file -hierarchy -f vhdl    -output "./results/paicore_noc_link.vhd"
write_file -hierarchy -f verilog -output "./results/paicore_noc_link.v"
write_sdf  "./results/paicore_noc_link.sdf"
write -hierarchy -f ddc -output  "./results/paicore_noc_link.ddc"
