set level [getenv LEVEL]
set npu [getenv NPU]
set npd [getenv NPD]

analyze -library WORK -format vhdl {../router/router_types.vhdl}
analyze -library WORK -format vhdl {../arbiter/NthLsbDetector.vhdl}
analyze -library WORK -format vhdl {../encoders/encoder_components.vhdl}
analyze -library WORK -format vhdl {../encoders/encoder8to3.vhdl}
analyze -library WORK -format vhdl {../encoders/encoder16to4.vhdl}
analyze -library WORK -format vhdl {../encoders/encoder32to5.vhdl}
analyze -library WORK -format vhdl {../encoders/encoder_generic.vhdl}
analyze -library WORK -format vhdl {../arbiter/arbiter_unit.vhdl}
analyze -library WORK -format vhdl {../arbiter/arbiter_functions.vhdl}
analyze -library WORK -format vhdl {../arbiter/parent_arbiter.vhdl}
elaborate parent_arbiter -library WORK -parameters "level = $level, num_paths_up = $npu, num_paths_down = $npd"
check_design
check_timing
compile
report_area > reports/parent-arbiter-$level-$npu-$npd-spl_synth.area
report_power > reports/parent-arbiter-$level-$npu-$npd-spl_synth.power
change_names -hier -rules vhdl 
change_names -hier -rules verilog
write_file -hierarchy -f vhdl    -output "./results/parent-arbiter-$level-$npu-$npd.vhd"
write_file -hierarchy -f verilog -output "./results/parent-arbiter-$level-$npu-$npd.v"
write_sdf  "./results/parent-arbiter-$level-$npu-$npd.sdf"
write -hierarchy -f ddc -output  "./results/parent-arbiter-$level-$npu-$npd.ddc"
